---

Alias: ["Nextcloud server", "Cloud Server"]
Tag: ["Computer", "Web", "Server", "Privacy", "Security"]
Date: 2021-09-03
DocType: "Server"
Hierarchy: "NonRoot"
location: [48.8570517, 2.3677354]
Performance:
 CPU: 1Core
 RAM: 512MB
 Bandwidth: 500GB
 Speed: 1Gbps
Characteristics:
 OS: Ubuntu 20.04
 Domiciliation: BG
 IPv4: 82.118.235.70
 Hostname: sofstorage14
 Host: AlphaVPS
 SubDomain: cloud
Disk:
 Capa: 128GB
 Type: HDD
 UsedSpace: 25%
 TimeStamp: 2021-11-13
CollapseMetaTable: yes

---

Parent:: [[mfxm Website Scope|mfxm.fr]], [[Storage and Syncing]]

---

 ^Top

&emsp;

```button
name Edit Server parameters
type command
action MetaEdit: Run MetaEdit
id EditMetaData
```
^button-CloudServerEdit

```button
name Save
type command
action Save current file
id Save
```
^button-CloudServerSave

&emsp;

# Cloud Server

&emsp;

```ad-abstract
title: Summary
collapse: open
Server for Cloud storage and device syncing.
```

&emsp;

```toc
style: number
```

&emsp;

---

&emsp;

### Server parameters
[[#^Top|TOP]]
&emsp;

```ad-quote
title: Dashboard access
[https://alphavps.com/clients/](https://alphavps.com/clients/)
```

&emsp;

```ad-quote
title: Address
The service is located under **[cloud.mfxm.fr](https://cloud.mfxm.fr)** .
```

&emsp;

---

&emsp;

### Service
[[#^Top|TOP]]
&emsp;

> [!abstract] Jellyfin
[[Jellyfin]] is a media management service offering a variety of Apps to manage media (video, music, photos) online.

&emsp;

#### Installation guide

```ad-info
title: Installation
[Tutorial](https://www.techrepublic.com/article/how-to-install-nextcloud-22-on-ubuntu-server-20-04/)
[Tutorial2](https://nextcloud.com/athome/)
[Tutorial3](https://blog.ssdnodes.com/blog/installing-nextcloud-docker/)
```

&emsp;

#### Installed dependencies
[[#^Top|TOP]]
&emsp;

##### Docker

Currently running Docker containers

```ad-bug
title:  docker network
ID: 3a4d267e8155e3ff957e15c86360de1431d177b2131455707bea99038f179481
IP: 17.27.37.x
```

&emsp;

##### Caddy
[[#^Top|TOP]]
[[Configuring Caddy|caddy]] is the webserver of choice. Refer to the dedicated note for config and parametrisation.

```ad-bug
title: authentication token
LWERS4M7njDLiAJe5A6gkv9jRDabvnzBGyYk9vPr1F5dY0LMu47FSjB0v21BAE83rYTOksElzcYmioWA
```

&emsp;

##### Logwatch
[[#^Top|TOP]]

<mark style=“color:red”>TO FILL</mark>

&emsp;

##### fail2ban
[[#^Top|TOP]]
Classic [[Configuring Fail2ban|fail2ban]] installation with a dedicated configuration:

```ad-code
~~~yaml
[sshd]
enabled = true
port=2227
maxretry = 10
bantime = 1m
~~~
```

under the dedicated jail conf file:

```ad-command
~~~bash
sudo nano /etc/fail2ban/jail.d/sshd.local
~~~
```

&emsp;

Please refer to the [[Configuring Fail2ban|conf guide]] for a detailed description.

&emsp;

##### Postfix

Mail Transfer Agent. Configuration is standard to allow for emails to be sent by programs / deamons / [[Nextcloud]] or others. Such a [[Configuring Postfix|system]] is required for every server to work correctly.

&emsp

##### UFW

Firewall management, see [[Configuring UFW|here]] for more details.

&emsp;

---

&emsp;

#### Server-side monitoring
[[#^Top|TOP]]
[Monit](https://mmonit.com/monit/documentation/monit.html) is a process and daemon monitoring tool. More information on operating the software can be found [[Configuring Monit|here]].

List of monitored services:
- System
- SSH
- [[Configuring Fail2ban|Fail2ban]]
- cron
- Postfix
- MySQL
- Apache

&emsp;

[[Configuring Telegram bots|Telegram bots]] are also being implemented to receive logs from logwatch & [[Configuring Monit|monit]].

&emsp;

---

&emsp;

#### Service management
[[#^Top|TOP]]

&emsp;

---

&emsp;

#### Data transfer
[[#^Top|TOP]]

&emsp;

##### Cloud2Cloud
[[#^Top|TOP]]
```ad-bug
title: Data transfer tool
[rclone](https://autoize.com/moving-data-from-cloud-to-cloud-with-rclone/)
```

rClone uses a simple config interface to configure remote hosts:

```ad-command
~~~bash
rclone config
~~~
```

The config data can be password-protected for security.

1. **Copy data**

```ad-command
~~~bash
rclone copy source:'datapath' dest:'datapath'
~~~
```

2. **Sync data**

```ad-command
~~~bash
rclone sync source:'datapath' dest:'datapath'
~~~
```

&emsp;

---

&emsp;

### Pricing
[[#^Top|TOP]]
&emsp;

<mark class="green">Cloud Server</mark> | One-off cost | Recurring subscription p.a.
--------|---------------|:----------------------:
<p style="color:cyan">**Server hosting**</p> | &emsp; | *€15*
^CloudServerCost

&emsp;

---

&emsp;

### Tasks & Further steps

&emsp;

- [ ] :cloud: [[Server Cloud]]: Backup server %%done_del%% 🔁 every 6 months on the 1st Tuesday 📅 2022-09-06
- [ ] :cloud: [[Selfhosting]], [[Server Cloud|Cloud]]: Upgrader & Health checks %%done_del%% 🔁 every 4 months 📅 2023-01-01

[[#^Top|TOP]]

&emsp;
&emsp;